package com.zd.system.api.laboratory.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: zhoupan
 * @Date: 2021/09/27/15:36
 * @Description:
 */
@ApiModel("功能基类")
public class BasicFunctionStatus {
    /**
     * 硬件编码
     */
    @ApiModelProperty("硬件编码")
    private String hardwareNum;

    /**
     * 功能编码
     */
    @ApiModelProperty("功能编码")
    private String funNum;

    /**
     * 功能描述 现在实际值变成了 传感器名字 (￣▽￣)"
     */
    @ApiModelProperty("功能描述")
    private String describe;


    /**
     * 功能名
     */
    @ApiModelProperty("功能名")
    private String funcName;

    public String getFuncName() {
        return funcName;
    }

    public void setFuncName(String funcName) {
        this.funcName = funcName;
    }

    /**
     * 功能图标
     */
    @ApiModelProperty("功能图标")
    private String icon;

    @ApiModelProperty("排序")
    private int order ;

    public String getHardwareNum() {
        return hardwareNum;
    }

    public void setHardwareNum(String hardwareNum) {
        this.hardwareNum = hardwareNum;
    }

    public int getOrder() {
        return order;
    }

    public void setOrder(int order) {
        this.order = order;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getFunNum() {
        return funNum;
    }

    public void setFunNum(String funNum) {
        this.funNum = funNum;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
